--- configure.in   2008-03-02 17:27:47.000000000 +0100
+++ configure.in   2008-03-02 17:30:15.000000000 +0100
@@ -36,6 +36,8 @@
 
 if test x$external_mp4v2 = xyes; then
   AC_MSG_NOTICE([*** Building with external mp4v2 ***])
+  MY_DEFINE(HAVE_LIBMP4V2)
+  LIBS="-lmp4v2 $LIBS"
 else
   if test x$WITHMP4V2 = xyes; then
      AC_MSG_NOTICE([*** Building with internal mp4v2 ***])
